LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XInteractionRequestStringResolver Interface Reference

Obtains human readable strings from an XInteractionRequest. More...

`import"XInteractionRequestStringResolver.idl";`

Inheritance diagram for XInteractionRequestStringResolver:

## Public Member Functions
com::sun::star::beans::Optional< string > | getStringFromInformationalRequest ([in] com::sun::star::task::XInteractionRequest Request)
| Obtains a string containing a human readable message from an informational interaction request. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Obtains human readable strings from an XInteractionRequest.

## Member Function Documentation

## ◆ getStringFromInformationalRequest()

com::sun::star::beans::Optional< string > getStringFromInformationalRequest | ( | [in] com::sun::star::task::XInteractionRequest | Request | ) |

Obtains a string containing a human readable message from an informational interaction request.

An informational interaction request contains not more than one interaction continuation (user has no choice; request is just informational). The supplies continuation must either be a XInteractionAbort or XInteractionApprove

Parameters

  Request | the interaction request for that the message shall be obtained.

Returns
  the message string or an empty com::sun::star::beans::Optional.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XInteractionRequestStringResolver.idl